AddStepEvent (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.event
Class AddStepEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<AddStepEventHandler>
              org.gcube.portlets.admin.wftemplates.client.event.AddStepEvent

    public class AddStepEvent

extends com.google.gwt.event.shared.GwtEvent<AddStepEventHandler>

`AddStepEvent` is the event fired in case of new add step button clicked

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<AddStepEventHandler>` | `TYPE`

Constructor Summary
`AddStepEvent(String name, String desc)`

Method Summary
`protected void` | `dispatch(AddStepEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<AddStepEventHandler>` | `getAssociatedType()`
`String` | `getDescription()`
`String` | `getName()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<AddStepEventHandler> TYPE

Constructor Detail

### AddStepEvent

    public AddStepEvent(String name,
                        String desc)

Method Detail

### getName

    public String getName()

### getDescription

    public String getDescription()

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<AddStepEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<AddStepEventHandler>`

### dispatch

    protected void dispatch(AddStepEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<AddStepEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.